#!/bin/bash
. CONSTANTS.bash
if [ $# -lt 1 ]; then 
	echo "Usage: $0 <rainfile> [<string>]"
	exit 5
fi
details1=""
if [ $# -ge 2 ]; then 
	details1="$2"
fi
proj=$gmtprojection
spacing=${GRIDSPACE}
searchr=`echo $spacing|awk '{print $1*2}'`
rainfile=$1
outfile=$rainfile.out
#range="-R/79.822/81.43/6.31/7.91"
range=`minmax $rainfile -:  -I.02`
nearneighbor $rainfile -: -N1 -S$searchr $range   -G$rainfile.grd -I$spacing 
grdimage -Y10c $rainfile.grd   $range  \
  -J$proj -B${gmtlabel}g${gmtgrid}:."$title": -Crains.cpt -P -K > $outfile.ps; ((err+=$?))
pscoast -R -J$proj -W150/150/150 -Df  -P  -K -O  ${plotoptions}>> $outfile.ps; ((err+=$?))
cat points.txt|awk '{print $1,$2}'|psxy -G0/0/0 -Sc0.1c -R -J -P  -O -K >> $outfile.ps; ((err+=$?))
cat points.txt|awk '{print $1,$2,"12 0 4 LM "$3}'|pstext -D.1c -R -J -P  -O -K >> $outfile.ps; ((err+=$?))
textbox=${MAPWIDTH}c/1c
bdbox=0/${MAPWIDTH}/0/1
details=`head -n1 $rainfile|sed 's/#//g'`
pstext -N  -Y-2.0c -R$bdbox -JX$textbox -C.1c/.1c -O -K -M -W255O0.5p <<EOF >> $outfile.ps
>  0 .3  12 0 4 LB 12p  ${MAPWIDTH} c
$details
>  0 -.3  12 0 4 LB 12p  ${MAPWIDTH} c
$details1
> 0  -1.3  12 0 6 LB 12p  ${MAPWIDTH} c
produced by 'plotgrid' utility written by Assela Pathirana, $prodyr using free and open source tools. 
EOF
((err+=$?))
psscale -Y-.2c -P -Crains.cpt   -O  \
    -L  -D`echo ${MAPWIDTH}c|awk '{print $1/2}'`c/-1.2c/${MAPWIDTH}c/.5ch -B4a4f2g2 >> $outfile.ps
((err+=$?))
rm -f .gmtdefaults*
./eps2many $outfile.ps $outfile.png >& /dev/null
((err+=$?))
rm -rf $outfile.ps $outfile.eps   $rainfile.grd    $rainfile.2.grd

